# Package org.codehaus.groovy.grails.compiler

##

- Interface Summary
  Interface | Description
  --- | ---
  DirectoryWatcher.FileChangeListener | Interface for FileChangeListeners

- Class Summary
  Class | Description
  --- | ---
  DirectoryWatcher | Utility class to watch directories for changes.
  GrailsProjectCompiler | Encapsulates the compilation logic required for a Grails application.
  GrailsProjectWatcher | Watches a Grails project and re-compiles sources when they change or fires events to the pluginManager.
  Grailsc |

- Exception Summary
  Exception | Description
  --- | ---
  PackagingException | Exception thrown when there was an error in the packing process of an application.